Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRotationalExtrusionFilter Class Reference

`#include <vtkRotationalExtrusionFilter.h>`

Inheritance diagram for vtkRotationalExtrusionFilter:

[legend]
Collaboration diagram for vtkRotationalExtrusionFilter:

[legend]
List of all members.

## Detailed Description

sweep polygonal data creating "skirt" from free edges and lines, and lines from vertices

Date:
  2002/01/22 15:29:43

Revision:
  1.37

vtkRotationalExtrusionFilter is a modeling filter. It takes polygonal data as input and generates polygonal data on output. The input dataset is swept around the z-axis to create new polygonal primitives. These primitives form a "skirt" or swept surface. For example, sweeping a line results in a cylindrical shell, and sweeping a circle creates a torus.

There are a number of control parameters for this filter. You can control whether the sweep of a 2D object (i.e., polygon or triangle strip) is capped with the generating geometry via the "Capping" instance variable. Also, you can control the angle of rotation, and whether translation along the z-axis is performed along with the rotation. (Translation is useful for creating "springs".) You also can adjust the radius of the generating geometry using the "DeltaRotation" instance variable.

The skirt is generated by locating certain topological features. Free edges (edges of polygons or triangle strips only used by one polygon or triangle strips) generate surfaces. This is true also of lines or polylines. Vertices generate lines.

This filter can be used to model axisymmetric objects like cylinders, bottles, and wine glasses; or translational/rotational symmetric objects like springs or corkscrews.

Warning:
  If the object sweeps 360 degrees, radius does not vary, and the object does not translate, capping is not performed. This is because the cap is unnecessary.

Warning:
  Some polygonal objects have no free edges (e.g., sphere). When swept, this will result in two separate surfaces if capping is on, or no surface if capping is off.

See also:
  vtkLinearExtrusionFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (69%)
  - Martin, Ken (14%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkRotationalExtrusionFilter.cxx)`
  - .`h` (`/Graphics/vtkRotationalExtrusionFilter.h)`

Examples:
  vtkRotationalExtrusionFilter (Examples)

Tests:
  vtkRotationalExtrusionFilter (Tests)

Definition at line 84 of file vtkRotationalExtrusionFilter.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetResolution (int)
virtual int | GetResolution ()
virtual void | SetCapping (int)
virtual int | GetCapping ()
virtual void | CappingOn ()
virtual void | CappingOff ()
virtual void | SetAngle (float)
virtual float | GetAngle ()
virtual void | SetTranslation (float)
virtual float | GetTranslation ()
virtual void | SetDeltaRadius (float)
virtual float | GetDeltaRadius ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkRotationalExtrusionFilter * | SafeDownCast (vtkObject *o)
vtkRotationalExtrusionFilter * | New ()
## Protected Methods
| vtkRotationalExtrusionFilter ()
| ~vtkRotationalExtrusionFilter ()
void | Execute ()
## Protected Attributes
int | Resolution
int | Capping
float | Angle
float | Translation
float | DeltaRadius

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkRotationalExtrusionFilter::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 87 of file vtkRotationalExtrusionFilter.h.

## Constructor & Destructor Documentation

vtkRotationalExtrusionFilter::vtkRotationalExtrusionFilter | ( |  | ) | `[protected]`

vtkRotationalExtrusionFilter::~vtkRotationalExtrusionFilter | ( |  | ) | `[inline, protected]`

| Definition at line 128 of file vtkRotationalExtrusionFilter.h.

## Member Function Documentation

virtual const char* vtkRotationalExtrusionFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkRotationalExtrusionFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkRotationalExtrusionFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkRotationalExtrusionFilter* vtkRotationalExtrusionFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkRotationalExtrusionFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkRotationalExtrusionFilter* vtkRotationalExtrusionFilter::New | ( |  | ) | `[static]`

| Create object with capping on, angle of 360 degrees, resolution = 12, and no translation along z-axis. vector (0,0,1), and point (0,0,0). Reimplemented from vtkObject.

virtual void vtkRotationalExtrusionFilter::SetResolution | ( | int |  | ) | `[virtual]`

| Set/Get resolution of sweep operation. Resolution controls the number of intermediate node points.

virtual int vtkRotationalExtrusionFilter::GetResolution | ( |  | ) | `[virtual]`

| Set/Get resolution of sweep operation. Resolution controls the number of intermediate node points.

virtual void vtkRotationalExtrusionFilter::SetCapping | ( | int |  | ) | `[virtual]`

| Turn on/off the capping of the skirt.

virtual int vtkRotationalExtrusionFilter::GetCapping | ( |  | ) | `[virtual]`

| Turn on/off the capping of the skirt.

virtual void vtkRotationalExtrusionFilter::CappingOn | ( |  | ) | `[virtual]`

| Turn on/off the capping of the skirt.

virtual void vtkRotationalExtrusionFilter::CappingOff | ( |  | ) | `[virtual]`

| Turn on/off the capping of the skirt.

virtual void vtkRotationalExtrusionFilter::SetAngle | ( | float |  | ) | `[virtual]`

| Set/Get angle of rotation.

virtual float vtkRotationalExtrusionFilter::GetAngle | ( |  | ) | `[virtual]`

| Set/Get angle of rotation.

virtual void vtkRotationalExtrusionFilter::SetTranslation | ( | float |  | ) | `[virtual]`

| Set/Get total amount of translation along the z-axis.

virtual float vtkRotationalExtrusionFilter::GetTranslation | ( |  | ) | `[virtual]`

| Set/Get total amount of translation along the z-axis.

virtual void vtkRotationalExtrusionFilter::SetDeltaRadius | ( | float |  | ) | `[virtual]`

| Set/Get change in radius during sweep process.

virtual float vtkRotationalExtrusionFilter::GetDeltaRadius | ( |  | ) | `[virtual]`

| Set/Get change in radius during sweep process.

void vtkRotationalExtrusionFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkRotationalExtrusionFilter::Resolution`[protected]`

| Definition at line 131 of file vtkRotationalExtrusionFilter.h.

int vtkRotationalExtrusionFilter::Capping`[protected]`

| Definition at line 132 of file vtkRotationalExtrusionFilter.h.

float vtkRotationalExtrusionFilter::Angle`[protected]`

| Definition at line 133 of file vtkRotationalExtrusionFilter.h.

float vtkRotationalExtrusionFilter::Translation`[protected]`

| Definition at line 134 of file vtkRotationalExtrusionFilter.h.

float vtkRotationalExtrusionFilter::DeltaRadius`[protected]`

| Definition at line 135 of file vtkRotationalExtrusionFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkRotationalExtrusionFilter.h